




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1487793139.557777
__CHEETAH_genTimestamp__ = 'Wed Feb 22 19:52:19 2017'
__CHEETAH_src__ = 'prewikka/templates/MainMenu.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Sep 15 06:49:49 2016'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class MainMenu(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(MainMenu, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<script type="text/javascript">
$LAB.script("prewikka/js/mainmenu.js", "prewikka/js/moment.min.js").wait(function() {
     window.mainmenu.reset();

''')
        if VFFSL(SL,"auto_apply_enable",True) == "true": # generated from line 5, col 6
            write(u'''     window.mainmenu.start();
''')
        write(u'''
     MainMenuInit("''')
        _v = VFFSL(SL,"timeline.time_format",True) # u'$timeline.time_format' on line 9, col 20
        if _v is not None: write(_filter(_v, rawExpr=u'$timeline.time_format')) # from line 9, col 20.
        write(u'''");

     $(\'#timeline_end\').datetimepicker("setDate", new Date(moment("''')
        _v = VFFSL(SL,"timeline.end",True) # u'$timeline.end' on line 11, col 69
        if _v is not None: write(_filter(_v, rawExpr=u'$timeline.end')) # from line 11, col 69.
        write(u'''")));
     $(\'#timeline_start\').datetimepicker("setDate", new Date(moment("''')
        _v = VFFSL(SL,"timeline.start",True) # u'$timeline.start' on line 12, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$timeline.start')) # from line 12, col 71.
        write(u'''")));

''')
        if VFFSL(SL,"timeline.quick_custom",True): # generated from line 14, col 6
            write(u'''     trigger_custom_date(true);
''')
        else: # generated from line 16, col 6
            write(u'''     trigger_custom_date(false);
''')
        write(u'''});
</script>

<div id="main_menu_ng">
     <input type="hidden" name="timeline_end" id="hidden_timeline_end" value="''')
        _v = VFFSL(SL,"timeline.end",True) # u'$timeline.end' on line 23, col 79
        if _v is not None: write(_filter(_v, rawExpr=u'$timeline.end')) # from line 23, col 79.
        write(u'''">
     <input type="hidden" name="timeline_start" id="hidden_timeline_start" value="''')
        _v = VFFSL(SL,"timeline.start",True) # u'$timeline.start' on line 24, col 83
        if _v is not None: write(_filter(_v, rawExpr=u'$timeline.start')) # from line 24, col 83.
        write(u'''">
     <input type="hidden" name="timeline_value" id="hidden_timeline_value" value="''')
        _v = VFFSL(SL,"timeline.value",True) # u'$timeline.value' on line 25, col 83
        if _v is not None: write(_filter(_v, rawExpr=u'$timeline.value')) # from line 25, col 83.
        write(u'''">
     <input type="hidden" name="timeline_unit" id="hidden_timeline_unit" value="''')
        _v = VFFSL(SL,"timeline.unit",True) # u'$timeline.unit' on line 26, col 81
        if _v is not None: write(_filter(_v, rawExpr=u'$timeline.unit')) # from line 26, col 81.
        write(u'''">
     <input type="hidden" name="timeline_absolute" id="hidden_timeline_absolute" value="''')
        _v = VFFSL(SL,"timeline.absolute",True) # u'$timeline.absolute' on line 27, col 89
        if _v is not None: write(_filter(_v, rawExpr=u'$timeline.absolute')) # from line 27, col 89.
        write(u'''">
     <input type="hidden" name="auto_apply_enable" id="hidden_auto_apply_enable" value="''')
        _v = VFFSL(SL,"auto_apply_enable",True) # u'$auto_apply_enable' on line 28, col 89
        if _v is not None: write(_filter(_v, rawExpr=u'$auto_apply_enable')) # from line 28, col 89.
        write(u'''">
     <input type="hidden" name="auto_apply_value" id="hidden_auto_apply_value" value="''')
        _v = VFFSL(SL,"auto_apply_value",True) # u'$auto_apply_value' on line 29, col 87
        if _v is not None: write(_filter(_v, rawExpr=u'$auto_apply_value')) # from line 29, col 87.
        write(u'''">
     <input type="hidden" name="_save" value="1">

     <div class="form-inline pull-right" id="main_menu_navbar">
''')
        for i in VFFSL(SL,"menu_extra",True): # generated from line 33, col 11
            write(u'''          <div class="form-group main_menu_extra">
               ''')
            _v = VFFSL(SL,"i",True) # u'$i' on line 35, col 16
            if _v is not None: write(_filter(_v, rawExpr=u'$i')) # from line 35, col 16.
            write(u'''
          </div>
''')
        write(u'''
          <div class="form-group">
               <div class="btn-group" id="dropdown-refresh">
                    <label class="label-xs">''')
        if False:
            _("Refresh:")
        _v = VFFSL(SL,"_",False)("Refresh:") # u'$_("Refresh:")' on line 41, col 45
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Refresh:")')) # from line 41, col 45.
        write(u'''</label><br>
                    <div data-toggle="tooltip" title="''')
        if False:
            _("Update frequency of the current page")
        _v = VFFSL(SL,"_",False)("Update frequency of the current page") # u'$_("Update frequency of the current page")' on line 42, col 55
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Update frequency of the current page")')) # from line 42, col 55.
        write(u'''" data-trigger="hover" data-container="#main">
                    <button type="button" class="btn btn-default btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" data-target="#dropdown-refresh">
                         <span class="reload-icon">&#8634;</span><span id="refresh-value">''')
        _v = VFFSL(SL,"timeline.refresh_selected",True) # u'$timeline.refresh_selected' on line 44, col 91
        if _v is not None: write(_filter(_v, rawExpr=u'$timeline.refresh_selected')) # from line 44, col 91.
        write(u'''</span><span class="caret"></span>
                    </button>
                    </div>

                    <ul class="dropdown-menu" id="refresh-select">
''')
        for label, value in VFFSL(SL,"timeline.refresh",True): # generated from line 49, col 21
            write(u'''                         <li><a data-value="''')
            _v = VFFSL(SL,"value",True) # u'$value' on line 50, col 45
            if _v is not None: write(_filter(_v, rawExpr=u'$value')) # from line 50, col 45.
            write(u'''">''')
            _v = VFFSL(SL,"label",True) # u'$label' on line 50, col 53
            if _v is not None: write(_filter(_v, rawExpr=u'$label')) # from line 50, col 53.
            write(u'''</a></li>
''')
        write(u'''                         <li role="separator" class="divider"></li>
                         <li><a data-value="0">''')
        if False:
            _("Inactive")
        _v = VFFSL(SL,"_",False)("Inactive") # u'$_("Inactive")' on line 53, col 48
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Inactive")')) # from line 53, col 48.
        write(u'''</a></li>
                    </ul>
               </div>
          </div>

          <div class="form-group">
               <div class="btn-group" id="dropdown-period">
                    <label class="label-xs">''')
        if False:
            _("Period:")
        _v = VFFSL(SL,"_",False)("Period:") # u'$_("Period:")' on line 60, col 45
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Period:")')) # from line 60, col 45.
        write(u'''</label><br>
                    <div data-toggle="tooltip" title="''')
        if False:
            _("Period to visualize")
        _v = VFFSL(SL,"_",False)("Period to visualize") # u'$_("Period to visualize")' on line 61, col 55
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Period to visualize")')) # from line 61, col 55.
        write(u'''" data-trigger="hover" data-container="#main">
                    <button type="button" class="btn btn-default btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" data-target="#dropdown-period">
                         <span id="timeline_quick_selected">''')
        _v = VFFSL(SL,"timeline.quick_selected",True) # u'$timeline.quick_selected' on line 63, col 61
        if _v is not None: write(_filter(_v, rawExpr=u'$timeline.quick_selected')) # from line 63, col 61.
        write(u'''</span> <span class="caret">
                    </button>
                    </div>

                    <ul class="dropdown-menu" id="timeline_quick_select">
                         <li><a data-value="" data-unit="" data-absolute="" id="timeline_quick_select_custom">''')
        if False:
            _("Custom")
        _v = VFFSL(SL,"_",False)("Custom") # u'$_("Custom")' on line 68, col 111
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Custom")')) # from line 68, col 111.
        write(u'''</a></li>
                         <li role="separator" class="divider"></li>
''')
        for label, value, unit, absolute in VFFSL(SL,"timeline.quick",True): # generated from line 70, col 21
            write(u'''                         <li><a data-value="''')
            _v = VFFSL(SL,"value",True) # u'$value' on line 71, col 45
            if _v is not None: write(_filter(_v, rawExpr=u'$value')) # from line 71, col 45.
            write(u'''" data-unit="''')
            _v = VFFSL(SL,"unit",True) # u'$unit' on line 71, col 64
            if _v is not None: write(_filter(_v, rawExpr=u'$unit')) # from line 71, col 64.
            write(u'''" data-absolute="''')
            _v = VFFSL(SL,"absolute",True) # u'$absolute' on line 71, col 86
            if _v is not None: write(_filter(_v, rawExpr=u'$absolute')) # from line 71, col 86.
            write(u'''">''')
            _v = VFFSL(SL,"label",True) # u'$label' on line 71, col 97
            if _v is not None: write(_filter(_v, rawExpr=u'$label')) # from line 71, col 97.
            write(u'''</a></li>
''')
        write(u'''                    </ul>
               </div>
          </div>

          <div class="form-group form-group-date">
               <label for="timeline_start" class="label-xs">''')
        if False:
            _("Start:")
        _v = VFFSL(SL,"_",False)("Start:") # u'$_("Start:")' on line 78, col 61
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Start:")')) # from line 78, col 61.
        write(u'''</label>
               <input class="form-control input-sm input-timeline-datetime" type="text" id="timeline_start" name="" placeholder="''')
        if False:
            _("start")
        _v = VFFSL(SL,"_",False)("start") # u'$_("start")' on line 79, col 130
        if _v is not None: write(_filter(_v, rawExpr=u'$_("start")')) # from line 79, col 130.
        write(u'''" value="" data-toggle="tooltip" title="''')
        if False:
            _("Date of the oldest alert to visualize")
        _v = VFFSL(SL,"_",False)("Date of the oldest alert to visualize") # u'$_("Date of the oldest alert to visualize")' on line 79, col 181
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Date of the oldest alert to visualize")')) # from line 79, col 181.
        write(u'''" data-trigger="hover" data-container="#main">
          </div>

          <div class="form-group form-group-date">
               <label for="timeline_end" class="label-xs">''')
        if False:
            _("End:")
        _v = VFFSL(SL,"_",False)("End:") # u'$_("End:")' on line 83, col 59
        if _v is not None: write(_filter(_v, rawExpr=u'$_("End:")')) # from line 83, col 59.
        write(u'''</label>
               <input class="form-control input-sm input-timeline-datetime" type="text" id="timeline_end" placeholder="''')
        if False:
            _("end")
        _v = VFFSL(SL,"_",False)("end") # u'$_("end")' on line 84, col 120
        if _v is not None: write(_filter(_v, rawExpr=u'$_("end")')) # from line 84, col 120.
        write(u'''" value="" data-toggle="tooltip" title="''')
        if False:
            _("Date of the newest alert to visualize")
        _v = VFFSL(SL,"_",False)("Date of the newest alert to visualize") # u'$_("Date of the newest alert to visualize")' on line 84, col 169
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Date of the newest alert to visualize")')) # from line 84, col 169.
        write(u'''" data-trigger="hover" data-container="#main">
          </div>

          <button class="btn btn-primary btn-sm btn-submit disabled" id="main_menu_form_submit" type="submit">''')
        if False:
            _("Go!")
        _v = VFFSL(SL,"_",False)("Go!") # u'$_("Go!")' on line 87, col 111
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Go!")')) # from line 87, col 111.
        write(u'''</button>
     </div>
</div>

''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_MainMenu= 'respond'

## END CLASS DEFINITION

if not hasattr(MainMenu, '_initCheetahAttributes'):
    templateAPIClass = getattr(MainMenu, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(MainMenu)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=MainMenu()).run()


