




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1487793139.652635
__CHEETAH_genTimestamp__ = 'Wed Feb 22 19:52:19 2017'
__CHEETAH_src__ = 'prewikka/views/agents/templates/HeartbeatAnalyze.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Sep 15 06:49:49 2016'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class HeartbeatAnalyze(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(HeartbeatAnalyze, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<link rel="stylesheet" type="text/css" href="agents/css/agents.css">

''')
        status_classes = {"online": "success", "offline": "default", "unknown": "warning", "missing": "danger"}
        write(u'''
''')
        _orig_filter_56187786 = _filter
        filterName = u'CleanOutput'
        if self._CHEETAH__filters.has_key("CleanOutput"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<table class="table table-striped table-bordered table-condensed">
  <thead>
    <tr>
      <td>''')
        if False:
            _("Name")
        _v = VFFSL(SL,"_",False)("Name") # u'$_("Name")' on line 9, col 11
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Name")')) # from line 9, col 11.
        write(u'''</td>
      <td>''')
        if False:
            _("Model")
        _v = VFFSL(SL,"_",False)("Model") # u'$_("Model")' on line 10, col 11
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Model")')) # from line 10, col 11.
        write(u'''</td>
      <td>''')
        if False:
            _("OS")
        _v = VFFSL(SL,"_",False)("OS") # u'$_("OS")' on line 11, col 11
        if _v is not None: write(_filter(_v, rawExpr=u'$_("OS")')) # from line 11, col 11.
        write(u'''</td>
      <td>''')
        if False:
            _("Node name")
        _v = VFFSL(SL,"_",False)("Node name") # u'$_("Node name")' on line 12, col 11
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Node name")')) # from line 12, col 11.
        write(u'''</td>
      <td>''')
        if False:
            _("Node location")
        _v = VFFSL(SL,"_",False)("Node location") # u'$_("Node location")' on line 13, col 11
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Node location")')) # from line 13, col 11.
        write(u'''</td>
      <td>''')
        if False:
            _("Node address")
        _v = VFFSL(SL,"_",False)("Node address") # u'$_("Node address")' on line 14, col 11
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Node address")')) # from line 14, col 11.
        write(u'''</td>
      <td>''')
        if False:
            _("Latest heartbeat")
        _v = VFFSL(SL,"_",False)("Latest heartbeat") # u'$_("Latest heartbeat")' on line 15, col 11
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Latest heartbeat")')) # from line 15, col 11.
        write(u'''</td>
      <td>''')
        if False:
            _("Current status")
        _v = VFFSL(SL,"_",False)("Current status") # u'$_("Current status")' on line 16, col 11
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Current status")')) # from line 16, col 11.
        write(u'''</td>
    </tr>
  </thead>
  <tbody>

  <tr>
    <td>''')
        _v = VFFSL(SL,"analyzer.name",True) # u'$analyzer.name' on line 22, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$analyzer.name')) # from line 22, col 9.
        write(u'''</td>
    <td>''')
        _v = VFFSL(SL,"analyzer.model",True) # u'$analyzer.model' on line 23, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$analyzer.model')) # from line 23, col 9.
        write(u''' ''')
        _v = VFFSL(SL,"analyzer.version",True) # u'$analyzer.version' on line 23, col 25
        if _v is not None: write(_filter(_v, rawExpr=u'$analyzer.version')) # from line 23, col 25.
        write(u'''</td>
    <td>''')
        _v = VFFSL(SL,"analyzer.ostype",True) # u'$analyzer.ostype' on line 24, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$analyzer.ostype')) # from line 24, col 9.
        write(u''' ''')
        _v = VFFSL(SL,"analyzer.osversion",True) # u'$analyzer.osversion' on line 24, col 26
        if _v is not None: write(_filter(_v, rawExpr=u'$analyzer.osversion')) # from line 24, col 26.
        write(u'''</td>
    <td>''')
        _v = VFFSL(SL,"analyzer.node.name",True) # u'$analyzer.node.name' on line 25, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$analyzer.node.name')) # from line 25, col 9.
        write(u'''</td>
    <td>''')
        _v = VFFSL(SL,"analyzer.node.location",True) # u'$analyzer.node.location' on line 26, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$analyzer.node.location')) # from line 26, col 9.
        write(u'''</td>
    <td>
''')
        if len(VFFSL(SL,"analyzer",True)["node.address(*).address"]) > 0: # generated from line 28, col 7
            for address in VFFSL(SL,"analyzer",True)["node.address(*).address"]: # generated from line 29, col 9
                write(u'''          ''')
                _v = VFFSL(SL,"address",True) # u'$address' on line 30, col 11
                if _v is not None: write(_filter(_v, rawExpr=u'$address')) # from line 30, col 11.
                write(u'''<br/>
''')
        else: # generated from line 32, col 7
            write(u'''        n/a
''')
        write(u'''    </td>
    <td>''')
        _v = VFFSL(SL,"analyzer.last_heartbeat_time",True) # u'$analyzer.last_heartbeat_time' on line 36, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$analyzer.last_heartbeat_time')) # from line 36, col 9.
        write(u'''</td>
    <td class="heartbeat_analyze label-''')
        _v = VFFSL(SL,"status_classes",True)[VFFSL(SL,"analyzer.status",True)] # u'$status_classes[$analyzer.status]' on line 37, col 40
        if _v is not None: write(_filter(_v, rawExpr=u'$status_classes[$analyzer.status]')) # from line 37, col 40.
        write(u'''">
      <b>''')
        _v = VFFSL(SL,"analyzer.status_meaning",True) # u'$analyzer.status_meaning' on line 38, col 10
        if _v is not None: write(_filter(_v, rawExpr=u'$analyzer.status_meaning')) # from line 38, col 10.
        write(u'''</b>
    </td>
  </tr>
 </tbody>
</table>
  
<table class="table table-striped table-bordered table-condensed">
  <thead>
    <tr><td>''')
        if False:
            _("Events")
        _v = VFFSL(SL,"_",False)("Events") # u'$_("Events")' on line 46, col 13
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Events")')) # from line 46, col 13.
        write(u'''</td></tr>
  </thead>

  <tbody>
''')
        for event in VFFSL(SL,"analyzer.events",True): # generated from line 50, col 5
            write(u'''      <tr>
        <td class="heartbeat_analyzer_event_''')
            _v = VFFSL(SL,"event.type",True) # u'$event.type' on line 52, col 45
            if _v is not None: write(_filter(_v, rawExpr=u'$event.type')) # from line 52, col 45.
            write(u'''">''')
            _v = VFFSL(SL,"event.time",True) # u'$event.time' on line 52, col 58
            if _v is not None: write(_filter(_v, rawExpr=u'$event.time')) # from line 52, col 58.
            write(u'''</td>
        <td class="heartbeat_analyzer_event_''')
            _v = VFFSL(SL,"event.type",True) # u'$event.type' on line 53, col 45
            if _v is not None: write(_filter(_v, rawExpr=u'$event.type')) # from line 53, col 45.
            write(u'''">''')
            _v = VFFSL(SL,"event.value",True) # u'$event.value' on line 53, col 58
            if _v is not None: write(_filter(_v, rawExpr=u'$event.value')) # from line 53, col 58.
            write(u'''</td>
      </tr>
''')
        write(u'''  </tbody>
</table>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_56187786
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_HeartbeatAnalyze= 'respond'

## END CLASS DEFINITION

if not hasattr(HeartbeatAnalyze, '_initCheetahAttributes'):
    templateAPIClass = getattr(HeartbeatAnalyze, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(HeartbeatAnalyze)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=HeartbeatAnalyze()).run()


