




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1487793139.667153
__CHEETAH_genTimestamp__ = 'Wed Feb 22 19:52:19 2017'
__CHEETAH_src__ = 'prewikka/views/agents/templates/SensorListing.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Sep 15 06:49:49 2016'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class SensorListing(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(SensorListing, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<link rel="stylesheet" type="text/css" href="agents/css/agents.css">

<script type="text/javascript">

    function statusAttr(rowId, value, rowObj) {
        var status_classes = {"online": "success", "offline": "default", "unknown": "warning", "missing": "danger"};
        return \' class="label-\' + status_classes[rowObj.status] + \'"\';
    }

    function nameFormatter(cellValue, opts, rowObj) {
        var div = $("<div>");
        $("<a>", {"class": "popup_menu_toggle"}).text(cellValue).appendTo(div);
        var span = $("<span>", {"class": "popup_menu"}).appendTo(div);
        $.each(rowObj.links, function(index, elem) {
            $("<a>", {
                href: elem.link,
                class: elem.class,
                title: elem.title
            }).text(elem.text).appendTo(span);
        });
        return div.html();
    };

    var text = {\'title\': "''')
        if False:
            _('Agents')
        _v = VFFSL(SL,"_",False)('Agents') # u"$_('Agents')" on line 24, col 27
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Agents')")) # from line 24, col 27.
        write(u'''", \'search\': "''')
        if False:
            _('Search:')
        _v = VFFSL(SL,"_",False)('Search:') # u"$_('Search:')" on line 24, col 53
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Search:')")) # from line 24, col 53.
        write(u'''"};

    var grid = CommonListing(\'table#agents\', text, {
        colNames: ["''')
        if False:
            _('Name')
        _v = VFFSL(SL,"_",False)('Name') # u"$_('Name')" on line 27, col 21
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Name')")) # from line 27, col 21.
        write(u'''", "''')
        if False:
            _('Location')
        _v = VFFSL(SL,"_",False)('Location') # u"$_('Location')" on line 27, col 35
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Location')")) # from line 27, col 35.
        write(u'''", "''')
        if False:
            _('Node')
        _v = VFFSL(SL,"_",False)('Node') # u"$_('Node')" on line 27, col 53
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Node')")) # from line 27, col 53.
        write(u'''", "''')
        if False:
            _('Model')
        _v = VFFSL(SL,"_",False)('Model') # u"$_('Model')" on line 27, col 67
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Model')")) # from line 27, col 67.
        write(u'''", "''')
        if False:
            _('Version')
        _v = VFFSL(SL,"_",False)('Version') # u"$_('Version')" on line 27, col 82
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Version')")) # from line 27, col 82.
        write(u'''", "''')
        if False:
            _('Class')
        _v = VFFSL(SL,"_",False)('Class') # u"$_('Class')" on line 27, col 99
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Class')")) # from line 27, col 99.
        write(u'''",
''')
        for column in VFFSL(SL,"extra_columns",True): # generated from line 28, col 17
            write(u'''                   "''')
            _v = VFFSL(SL,"column.label",True) # u'$column.label' on line 29, col 21
            if _v is not None: write(_filter(_v, rawExpr=u'$column.label')) # from line 29, col 21.
            write(u'''",
''')
        write(u'''                   "''')
        if False:
            _('Latest heartbeat')
        _v = VFFSL(SL,"_",False)('Latest heartbeat') # u"$_('Latest heartbeat')" on line 31, col 21
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Latest heartbeat')")) # from line 31, col 21.
        write(u'''", "''')
        if False:
            _('Status')
        _v = VFFSL(SL,"_",False)('Status') # u"$_('Status')" on line 31, col 47
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Status')")) # from line 31, col 47.
        write(u'''"],
        colModel: [
            {name: \'name\', width: 15, formatter: nameFormatter},
            {name: \'location\', width: 15},
            {name: \'label\', width: 15},
            {name: \'model\', width: 10, sortable: false},
            {name: \'version\', width: 5, sortable: false},
            {name: \'class\', width: 10, sortable: false},
''')
        for column in VFFSL(SL,"extra_columns",True): # generated from line 39, col 13
            write(u"""            {name: '""")
            _v = VFFSL(SL,"column.name",True) # u'$column.name' on line 40, col 21
            if _v is not None: write(_filter(_v, rawExpr=u'$column.name')) # from line 40, col 21.
            write(u"""', width: 10, sortable: false},
""")
        write(u'''            {name: \'latest_heartbeat\', width: 10, sortable: false},
            {name: \'status_text\', width: 5, sortable: false, align: \'center\', classes: \'heartbeat_analyze\', cellattr: statusAttr}
        ],
        data: $.parseJSON("''')
        _v = VFFSL(SL,"data",True) # u'$data' on line 45, col 29
        if _v is not None: write(_filter(_v, rawExpr=u'$data')) # from line 45, col 29.
        write(u'''"),
        globalSearch: true,
        grouping: true,
        groupingView: {
            groupField: ["location", "label"],
            groupColumnShow: [false, false],
            groupText: [\'<b>{0}</b> ({1} agents)\', \'<b>{0}</b> ({1} agents)\'],
            groupCollapse: false,
            groupOrder: [\'asc\', \'asc\'],
            groupSummary: [false, false]
        }
    });

    $(".global_toggle").on("click", function() {
        if ( $("#agents .ui-icon-circlesmall-plus").length > 0 ) {
            $("#agents .ui-icon-circlesmall-plus").trigger("click");
            $("#agents .ui-icon-circlesmall-plus").trigger("click");
        }
        else {
            $("#agents .ui-icon-circlesmall-minus").trigger("click");
        }
    });

    $("form").on("submit", function() {
        var form = this;
        var rows = grid.getGridParam("selarrrow");
        if ( rows.length == 0 || $(this).data("confirm") ) return;

        $.each(rows, function(index, row) {
            $("<input>", {"type": "hidden", "name": "analyzerid", "value": row}).appendTo(form);
        });
    });

</script>

''')
        _orig_filter_64391471 = _filter
        filterName = u'CleanOutput'
        if self._CHEETAH__filters.has_key("CleanOutput"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''
<table id="agents"></table>

<button type="button" class="btn btn-default btn-sm global_toggle">''')
        if False:
            _("Show/Hide all")
        _v = VFFSL(SL,"_",False)("Show/Hide all") # u'$_("Show/Hide all")' on line 84, col 68
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Show/Hide all")')) # from line 84, col 68.
        write(u'''</button>

<form action="''')
        _v = VFFSL(SL,"document.href",True) # u'$document.href' on line 86, col 15
        if _v is not None: write(_filter(_v, rawExpr=u'$document.href')) # from line 86, col 15.
        write(u'''/SensorMessagesDelete" method="post">

  <div class="footer-buttons form-inline">
    <div class="checkbox">
      <input id="agent_delete_alerts" class="checkbox" type="checkbox" name="alerts" />
      <label for="agent_delete_alerts">''')
        if False:
            _("Alerts")
        _v = VFFSL(SL,"_",False)("Alerts") # u'$_("Alerts")' on line 91, col 40
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Alerts")')) # from line 91, col 40.
        write(u'''</label>
    </div>
    <div class="checkbox">
      <input id="agent_delete_heartbeats" class="checkbox" type="checkbox" name="heartbeats" />
      <label for="agent_delete_heartbeats">''')
        if False:
            _("Heartbeats")
        _v = VFFSL(SL,"_",False)("Heartbeats") # u'$_("Heartbeats")' on line 95, col 44
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Heartbeats")')) # from line 95, col 44.
        write(u'''</label>
    </div>
    &nbsp;<button class="btn btn-danger needone" type="submit" value="''')
        if False:
            _("Delete")
        _v = VFFSL(SL,"_",False)("Delete") # u'$_("Delete")' on line 97, col 71
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Delete")')) # from line 97, col 71.
        write(u'''" data-confirm="''')
        if False:
            _("Delete the selected IDMEF messages?")
        _v = VFFSL(SL,"_",False)("Delete the selected IDMEF messages?") # u'$_("Delete the selected IDMEF messages?")' on line 97, col 99
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Delete the selected IDMEF messages?")')) # from line 97, col 99.
        write(u'''"><i class="fa fa-trash"></i> ''')
        if False:
            _("Delete")
        _v = VFFSL(SL,"_",False)("Delete") # u'$_("Delete")' on line 97, col 170
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Delete")')) # from line 97, col 170.
        write(u'''</button>
  </div>

</form>

''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_64391471
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_SensorListing= 'respond'

## END CLASS DEFINITION

if not hasattr(SensorListing, '_initCheetahAttributes'):
    templateAPIClass = getattr(SensorListing, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(SensorListing)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=SensorListing()).run()


