




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from prewikka import usergroup, env

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1487793139.830631
__CHEETAH_genTimestamp__ = 'Wed Feb 22 19:52:19 2017'
__CHEETAH_src__ = 'prewikka/views/messagelisting/templates/MessageListing.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Sep 15 06:49:49 2016'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class MessageListing(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(MessageListing, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def messagelisting_scripts(self, **KWS):



        ## CHEETAH: generated from #block messagelisting_scripts at line 3, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _v = VFFSL(SL,"messagelisting_scripts",True) # u'$messagelisting_scripts' on line 4, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$messagelisting_scripts')) # from line 4, col 1.
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def message_listing_header(self, **KWS):



        ## CHEETAH: generated from #def message_listing_header at line 63, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''
''')
        self.messagelisting_scripts(trans=trans)
        write(u'''
<link rel="stylesheet" type="text/css" href="messagelisting/css/messagelisting.css">

<script type="text/javascript">
$LAB.script("messagelisting/js/messagelisting.js").wait();

$(document).ready(function() {
  $(document).on("click", "#main form :input[name=pdfgen], #main form :input[name=csvgen]", function(event) {
        $("#main form").data("enable-download", true);
  });

  $("#allbox").click(function(){
    $(\'input[name=selection]\').check($(this).prop(\'checked\'));
  });

  if ( navigator.userAgent.indexOf("Konqueror") != -1 ) {
        $("th.filter_popup > div").css("display", "block");
        $("th.filter_popup > div").hide();
   }

  $(".filter_popup_link").click(function(){
        var div =  $(this).nextAll("div");
        $(\'.filter_popup_link + div\').not(div).hide();
        div.toggle();
        return false;
  });

    $(".ajax-tooltip").tooltip({
        html: true,
        container: \'#main\',
        trigger: \'hover\',
        delay: { "show": 200, "hide": 0 },
        title: function() {
            var title = $(this).data("save-title");
            if ( ! title && $(this).data("title") ) {
                $.ajax({
                    async: false,
                    type: "GET",
                    url: $(this).data("title"),
                    success: function(data) {
                        title = JSON.parse(data).content;
                        if ( title instanceof Array ) {
                            title = title.map(function(v, i) {
                                return $("<div>").text(v).html();
                            }).join("<br>");
                        }

                    }
                });
                $(this).data("save-title", title);
            }
            return title;
        }
    });
});
</script>

''')
        _v = VFFSL(SL,"message_listing_header",True) # u'$message_listing_header' on line 65, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$message_listing_header')) # from line 65, col 1.
        write(u'''

<form action="''')
        _v = VFFSL(SL,"document.href",True) # u'$document.href' on line 67, col 15
        if _v is not None: write(_filter(_v, rawExpr=u'$document.href')) # from line 67, col 15.
        write(u'''" id="messagelisting" name="messagelisting" method="post">

<div class="prewikka-view-config collapse">
  <div class="form-inline">
    <div class="form-group">
      <label for="message_listing_limit">''')
        if False:
            _("Limit")
        _v = VFFSL(SL,"_",False)("Limit") # u'$_("Limit")' on line 72, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Limit")')) # from line 72, col 42.
        write(u'''</label>
      <select id="message_listing_limit" class="form-control input-sm" name="limit" onchange="$(\'#main form\').submit()">
        ''')
        #  Options available for the limit
        for limit_available in [10, 30, 50, 100] : # generated from line 74, col 9
            selected = ""
            if VFFSL(SL,"limit_available",True) == VFFSL(SL,"int",False)(VFFSL(SL,"limit",True)): # generated from line 76, col 9
                selected = "selected"
            write(u'''        <option value="''')
            _v = VFFSL(SL,"limit_available",True) # u'$limit_available' on line 79, col 24
            if _v is not None: write(_filter(_v, rawExpr=u'$limit_available')) # from line 79, col 24.
            write(u'''" ''')
            _v = VFFSL(SL,"selected",True) # u'$selected' on line 79, col 42
            if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 79, col 42.
            write(u'''>''')
            _v = VFFSL(SL,"limit_available",True) # u'$limit_available' on line 79, col 52
            if _v is not None: write(_filter(_v, rawExpr=u'$limit_available')) # from line 79, col 52.
            write(u'''</option>
''')
        write(u'''      </select>
    </div>
  </div>
</div>

<table id="message_list_result" class="table table-striped table-bordered table-rounded table-condensed">
  ''')
        _v = VFFSL(SL,"message_fields_header",True) # u'$message_fields_header' on line 87, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$message_fields_header')) # from line 87, col 3.
        write(u'''
  <tbody>
''')
        for message in VFFSL(SL,"messages",True): # generated from line 89, col 5
            self._CHEETAH__globalSetVars["message"] = VFFSL(SL,"message",True)
            write(u'''        <tr>
          ''')
            _v = VFFSL(SL,"message_fields",True) # u'$message_fields' on line 92, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$message_fields')) # from line 92, col 11.
            write(u'''
''')
            if VFN(VFFSL(SL,"env.request.user",True),"has",False)("IDMEF_ALTER"): # generated from line 93, col 11
                write(u'''          <td>
            <input class="checkbox" type="checkbox" name="selection" value="''')
                _v = VFFSL(SL,"message.selection",True) # u'$message.selection' on line 95, col 77
                if _v is not None: write(_filter(_v, rawExpr=u'$message.selection')) # from line 95, col 77.
                write(u'''"/>
          </td>
''')
            write(u'''        </tr>
''')
        write(u'''    </tbody>

   <tfoot>
''')
        if VFFSL(SL,"messages",True): # generated from line 103, col 1
            write(u'''     <tr><table id="message_list_nav" style="width:100%;">
         <tr>
''')
            if VFFSL(SL,"nav.prev",True): # generated from line 106, col 13
                write(u'''              <td class="message_list_nav_button"><a href="''')
                _v = VFFSL(SL,"nav.first",True) # u'$nav.first' on line 107, col 60
                if _v is not None: write(_filter(_v, rawExpr=u'$nav.first')) # from line 107, col 60.
                write(u'''">&lt;&lt;</a></td>
              <td class="message_list_nav_button"><a href="''')
                _v = VFFSL(SL,"nav.prev",True) # u'$nav.prev' on line 108, col 60
                if _v is not None: write(_filter(_v, rawExpr=u'$nav.prev')) # from line 108, col 60.
                write(u'''">&lt;</a></td>
''')
            else: # generated from line 109, col 13
                write(u'''              <td class="message_list_nav_button_empty">&lt;&lt;</td>
              <td class="message_list_nav_button_empty">&lt;</td>
''')
            if VFFSL(SL,"nav.next",True): # generated from line 113, col 13
                write(u'''              <td class="message_list_nav_button"><a href="''')
                _v = VFFSL(SL,"nav.next",True) # u'$nav.next' on line 114, col 60
                if _v is not None: write(_filter(_v, rawExpr=u'$nav.next')) # from line 114, col 60.
                write(u'''">&gt;</a></td>
              <td class="message_list_nav_button"><a href="''')
                _v = VFFSL(SL,"nav.last",True) # u'$nav.last' on line 115, col 60
                if _v is not None: write(_filter(_v, rawExpr=u'$nav.last')) # from line 115, col 60.
                write(u'''">&gt;&gt;</a></td>
''')
            else: # generated from line 116, col 13
                write(u'''              <td class="message_list_nav_button_empty">&gt;</td>
              <td class="message_list_nav_button_empty">&gt;&gt;</td>
''')
            write(u'''          </tr>
          <tr>
            <td class="message_list_nav_infos" colspan="4">
              ''')
            _v = VFFSL(SL,"nav.from",True) # u'$nav.from' on line 123, col 15
            if _v is not None: write(_filter(_v, rawExpr=u'$nav.from')) # from line 123, col 15.
            write(u''' ... ''')
            _v = VFFSL(SL,"nav.to",True) # u'$nav.to' on line 123, col 29
            if _v is not None: write(_filter(_v, rawExpr=u'$nav.to')) # from line 123, col 29.
            write(u''' (''')
            if False:
                _("total")
            _v = VFFSL(SL,"_",False)("total") # u'$_("total")' on line 123, col 38
            if _v is not None: write(_filter(_v, rawExpr=u'$_("total")')) # from line 123, col 38.
            write(u''':''')
            _v = VFFSL(SL,"total",True) # u'$total' on line 123, col 50
            if _v is not None: write(_filter(_v, rawExpr=u'$total')) # from line 123, col 50.
            write(u''')
            </td>
          </tr>
        </table>
       </tr>
     <tr>
       ''')
            _v = VFFSL(SL,"message_extra_footer",True) # u'$message_extra_footer' on line 129, col 8
            if _v is not None: write(_filter(_v, rawExpr=u'$message_extra_footer')) # from line 129, col 8.
            write(u'''
     </tr>
''')
        write(u'''    </tfoot>
</table>
</form>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_MessageListing= 'respond'

## END CLASS DEFINITION

if not hasattr(MessageListing, '_initCheetahAttributes'):
    templateAPIClass = getattr(MessageListing, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(MessageListing)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=MessageListing()).run()


