




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1487793139.642652
__CHEETAH_genTimestamp__ = 'Wed Feb 22 19:52:19 2017'
__CHEETAH_src__ = 'prewikka/views/warning/templates/warning.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Sep 15 06:49:49 2016'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class warning(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(warning, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<script type="text/javascript">
    $(document).ready(function() {
        $(\'div.warning\').dialog({
            title: "''')
        if False:
            _("WARNING")
        _v = VFFSL(SL,"_",False)("WARNING") # u'$_("WARNING")' on line 4, col 21
        if _v is not None: write(_filter(_v, rawExpr=u'$_("WARNING")')) # from line 4, col 21.
        write(u'''",
            modal: true,
            draggable: false,
            resizable: false,
            width: 550,
            buttons: [{
                \'class\': \'btn btn-default\',
                text: "''')
        if False:
            _("OK")
        _v = VFFSL(SL,"_",False)("OK") # u'$_("OK")' on line 11, col 24
        if _v is not None: write(_filter(_v, rawExpr=u'$_("OK")')) # from line 11, col 24.
        write(u'''",
                click: function() {
                    $(this).dialog("close");
                }
            }]
        });
    });
</script>

<div class="warning" style="display: none">
  <p style="text-align: center; margin-bottom: 30px; margin-top: 30px; font-size: 1.1em">
    <span style="font-weight: bold; color: red">''')
        if False:
            _("Prelude OSS is the open-source version of the Prelude SIEM")
        _v = VFFSL(SL,"_",False)("Prelude OSS is the open-source version of the Prelude SIEM") # u'$_("Prelude OSS is the open-source version of the Prelude SIEM")' on line 22, col 49
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Prelude OSS is the open-source version of the Prelude SIEM")')) # from line 22, col 49.
        write(u'''</span>
    <br><br><b><a href="http://www.prelude-siem.com">www.prelude-siem.com</a></b>
    <br><br>
    ''')
        if False:
            _("This OSS version has <span style='font-weight: bold'>lower performance</span> and <span style='font-weight: bold'>less <a href='%s'>features</a></span> than the Pro/Enterprise versions.")
        text = VFFSL(SL,"_",False)("This OSS version has <span style='font-weight: bold'>lower performance</span> and <span style='font-weight: bold'>less <a href='%s'>features</a></span> than the Pro/Enterprise versions.") % "http://www.prelude-siem.com/index.php/en/products/oss-pro-enterprise"
        write(u'''    ''')
        _v = VFFSL(SL,"text",True) # u'$text' on line 26, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$text')) # from line 26, col 5.
        write(u'''
    <br>''')
        if False:
            _("It is intended for tests and small environments, and should not be used in critical environments.")
        _v = VFFSL(SL,"_",False)("It is intended for tests and small environments, and should not be used in critical environments.") # u'$_("It is intended for tests and small environments, and should not be used in critical environments.")' on line 27, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("It is intended for tests and small environments, and should not be used in critical environments.")')) # from line 27, col 9.
        write(u'''

    <br>
    ''')
        if False:
            _("Prelude OSS is distributed under the %s.")
        text = VFFSL(SL,"_",False)("Prelude OSS is distributed under the %s.") % "<a href='http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html'>GNU GPLv2</a>"
        write(u'''    <br>''')
        _v = VFFSL(SL,"text",True) # u'$text' on line 31, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$text')) # from line 31, col 9.
        write(u'''
    <br>''')
        if False:
            _("Products derivated from Prelude OSS modules are therefore subject to the terms of the GPLv2.")
        _v = VFFSL(SL,"_",False)("Products derivated from Prelude OSS modules are therefore subject to the terms of the GPLv2.") # u'$_("Products derivated from Prelude OSS modules are therefore subject to the terms of the GPLv2.")' on line 32, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Products derivated from Prelude OSS modules are therefore subject to the terms of the GPLv2.")')) # from line 32, col 9.
        write(u'''
  </p>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_warning= 'respond'

## END CLASS DEFINITION

if not hasattr(warning, '_initCheetahAttributes'):
    templateAPIClass = getattr(warning, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(warning)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=warning()).run()


